Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.x509
Class X509CollectionStoreParameters

    java.lang.Object
      org.bouncycastle.x509.X509CollectionStoreParameters

All Implemented Interfaces:
  X509StoreParameters

    public class X509CollectionStoreParameters

extends java.lang.Object
implements X509StoreParameters

This class contains a collection for collection based `X509Store`s.

See Also:
  `X509Store`

Constructor Summary
`X509CollectionStoreParameters(java.util.Collection collection)` Constructor.

Method Summary
`java.lang.Object` `clone()` Returns a shallow clone.
`java.util.Collection` `getCollection()` Returns a copy of the `Collection`.
`java.lang.String` `toString()` Returns a formatted string describing the parameters.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### X509CollectionStoreParameters

    public X509CollectionStoreParameters(java.util.Collection collection)

  Constructor.

  The collection is copied.

  Parameters:
    `collection` - The collection containing X.509 object types.
  Throws:
    `java.lang.NullPointerException` - if `collection` is `null`.

Method Detail

### clone

    public java.lang.Object clone()

  Returns a shallow clone. The returned contents are not copied, so adding or removing objects will effect this.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a shallow clone.

### getCollection

    public java.util.Collection getCollection()

  Returns a copy of the `Collection`.

  Returns:
    The `Collection`. Is never `null`.

### toString

    public java.lang.String toString()

  Returns a formatted string describing the parameters.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a formatted string describing the parameters

Bouncy Castle Cryptography Library 1.45